Bug 486585 - "mpc search" command does not work
"mpc search" command does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mpc (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 08:52 EST by Daniel Novotny
Modified: 2009-03-05 11:35 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.15-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 11:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Novotny 2009-02-20 08:52:44 EST
Description of problem:

[dnovotny@dhcp-lab-180 src]$ mpc search artist foo
error: ACK [5@0] {} unknown command "artist"

[dnovotny@dhcp-lab-180 src]$


Version-Release number of selected component (if applicable):
mpc-0.12.1-2.fc9
mpd-0.13.2-2.fc9

How reproducible:
always

Steps to Reproduce:
1. run mpc search some-tag some-value
2. 
3.
  
Actual results:
error: ACK [5@0] {} unknown command "some-tag"

Expected results:
output list of songs with the matching tag

Additional info:
when I compile mpc from source ( decompress the tarball; ./configure ; make )
the error is not present

also upgrading to latest version of mpc from upstream seems to help, imho this is the easiest solution
Comment 1 Adrian Reber 2009-02-20 16:36:41 EST
Thanks for letting me know about the latest version. Upgrading on all branches.
Comment 2 Fedora Update System 2009-02-24 15:49:15 EST
mpc-0.15-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mpc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1982
Comment 3 Fedora Update System 2009-02-24 15:51:12 EST
mpc-0.15-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update mpc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1995
Comment 4 Fedora Update System 2009-03-05 11:27:11 EST
mpc-0.15-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-05 11:35:21 EST
mpc-0.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.